import { camelize } from 'camelize-object-key';
import { Meta, Canvas, Story, ArgsTable } from '@storybook/addon-docs/blocks';
import BlockAnimatedGraphics from './block-animated-graphics';
import { addControls, initJsonKnobs } from '@/.storybook/helpers';

export const argTypes = {};

export const controls = {
	json: ['items'],
};

<Meta title="Animated Graphics" component={BlockAnimatedGraphics} argTypes={addControls(argTypes, controls)} />

# Animated Graphics

This module is available on the product pages.

Used to display a title that fades away 6 seconds after appearing in view and illustrations with css animations.

export const Template = (args, { argTypes }) => {
	initJsonKnobs(args, argTypes, controls.json);
	return {
		props: Object.keys(argTypes),
		components: { BlockAnimatedGraphics },
		template: '<block-animated-graphics v-bind="$props" />',
	};
};

export const items = [
	{
		image: {
			url:
				'https://images.prismic.io/molekule/d18f7a66-77a9-4872-be83-3c5db66e2441_P-Paint+fumes%403x.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 378,
			height: 378,
		},
		animation_duration: 8,
		animation_delay: 0,
		scale_start: 1,
		scale_end: 1.1,
		x_pos_start: -30,
		x_pos_end: 100,
		width_mobile: 200,
		top_offset_mobile: 0,
		right_offset_mobile: 0,
		bottom_offset_mobile: 0,
		left_offset_mobile: 0,
		transform_origin_mobile: 'center',
		width_desktop: 319,
		bottom_offset_desktop: '-200px',
		left_offset_desktop: 0,
		transform_origin_desktop: 'center',
		label: 'Varnish off-gassing',
		description: '(Acetone)',
	},
	{
		image: {
			url:
				'https://images.prismic.io/molekule/982bfffa-1c78-440f-baa3-919e8c96c7fe_P-RNA+viruses%403x.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 378,
			height: 378,
		},
		animation_duration: 5,
		animation_delay: 0,
		scale_start: 1,
		scale_end: 1.15,
		x_pos_start: -30,
		x_pos_end: 100,
		width_mobile: 200,
		top_offset_mobile: 0,
		right_offset_mobile: 0,
		bottom_offset_mobile: 0,
		left_offset_mobile: 0,
		transform_origin_mobile: 'center',
		width_desktop: 200,
		top_offset_desktop: '100px',
		left_offset_desktop: 0,
		transform_origin_desktop: 'center',
		label: 'Varnish off-gassing',
		description: '(Acetone)',
	},
];

<Canvas withSource="none">
	<Story
		name="default"
		args={{
			heading: 'Acclaimed, award-winning technology',
			items: camelize(items),
		}}
	>
		{Template.bind({})}
	</Story>
</Canvas>

## Vue Component Props

<ArgsTable of={BlockAnimatedGraphics} />
